%define anolis_release 1

%global         srcname     antlr4-python3-runtime
%global         forgeurl    https://www.antlr.org/
Version:        4.9.3
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %{anolis_release}%{?dist}
Summary:        Python 3 runtime for AntLR.

License:        BSD-3-Clause
URL:            %forgeurl
Source:         https://files.pythonhosted.org/packages/3e/38/7859ff46355f76f8d19459005ca000b6e7012f2f1ca597746cbcd1fbfe5e/antlr4-python3-runtime-4.9.3.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
%{summary}}

%description %{_description}
Python 3.4 runtime for AntLR

%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files antlr4


%check
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}
%{_bindir}/pygrun

%changelog
* Tue Jan 09 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 4.9.3-1
- Initial package.
